{% extends 'base.html' %}

{% load util %}

{% block title %}Study Details{% endblock %}

{% block content %}
    <div class="row mb-4 align-items-center">
        <div class="col">
            <h1>Study details for '{{ study.title }}' </h1>
        </div>
        <div class="col-5 ">
            <a href="{% url 'index' %}">
                <button class="btn btn-primary mx-1 float-right">Find Studies</button>
            </a>
            <a href="{% url 'profile' %}">
                <button class="btn btn-secondary mx-1 float-right">Personal Page</button>
            </a>
    </div>
    </div>

    <div class="form-group mb-4">
        <h2>Requirements</h2>
        <p>
            In order to take part in the displayed study, you need to fulfill all of the
            following requirements.
        </p>

        <div style="padding-left: 10%;">
            <table class="table table-striped table-bordered" style="width:80%; border: 2px solid
             lightgrey">
                {% for requirement in study.requirements.items %}
                    <tr>
                        {% if requirement.1|get_type == 'Range' %}
                            <td class="text-center">{{ requirement.0 }}</td>
                            <td class="text-center">{{ requirement.1.lower }} -
                                {{ requirement.1.upper }}</td>
                            </p>
                        {% elif requirement.1|get_type == 'Choice' %}
                            <td class="text-center">{{ requirement.0 }}</td>
                            <td class="text-center">{{ requirement.1.choices }}</td>
                        {% elif requirement.1|get_type == 'Boolean' %}
                            <td class="text-center">{{ requirement.0 }}</td>
                            <td class="text-center">{{ requirement.1.value }}</td>
                        {% else %}
                            <td> This should not happen.</td>>
                        {% endif %}
                    </tr>
                {% endfor %}
            </table>
        </div>

    </div>

    <div class="form-group mb-4">
        <h2>Duration and Reward</h2>
        <p class="RewardDurationDisplay">The study is expected to take ??
            hours. Therefore, you will be rewarded with {{ study.reward }}.
        </p>
    </div>


    <!-- if Host -->
    {% if user == study.creator.id %}
        <div class="form-group mb-4">
            <h2>Participants</h2>
            <p>
                Currently the following people are assigned to this study:
            </p>


            <table class="table" style="width:100%">
                <thead class="thead-dark">
                <tr>
                    <th class="col-md-1">#</th>
                    <th>Username</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                </tr>
                </thead>
                {% for participant in study.participants %}
                    <tr>
                        <td scope="col">{{ forloop.counter0 }}</td>
                        <td>{{ participant.user.user_name }}</td>
                        <td>{{ participant.user.first_name }}</td>
                        <td>{{ participant.user.last_name }}</td>
                        <td>{{ participant.user.email }}</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    {% endif %}

    <div class="form-group mb-4">
        <h2>Contact</h2>
        <p>
            The study is hosted by: {{ study.creator.user.first_name }}
            {{ study.creator.user.last_name }}.
            For further questions, contact him/her using the following email:
            {{ study.creator.user.email }}
        </p>


        <!-- print data about user -->

    </div>

    {% if study.participants|contains:user %}
        <input type="submit" value="You already participate in this study" disabled>
    {% else %}
        <form action="/participate/" method="post">
            {% csrf_token %}
            <input type="hidden" id="studyId" name="studyId" value={{ study.id }}>
            <input type="submit" value="Participate">
        </form>
    {% endif %}
{% endblock %}